Upstream information

CVE-2008-3658 at MITRE

Description

Buffer overflow in the imageloadfont function in ext/gd/gd.c in PHP 4.4.x before 4.4.9 and PHP 5.2 before 5.2.6-r6 allows context-dependent attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted font file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 416178 [RESOLVED / FIXED], 992991 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise SDK 10 SP2
  • apache2-mod_php5 >= 5.2.5-9.9
  • php5 >= 5.2.5-9.9
  • php5-bcmath >= 5.2.5-9.9
  • php5-bz2 >= 5.2.5-9.9
  • php5-calendar >= 5.2.5-9.9
  • php5-ctype >= 5.2.5-9.9
  • php5-curl >= 5.2.5-9.9
  • php5-dba >= 5.2.5-9.9
  • php5-dbase >= 5.2.5-9.9
  • php5-devel >= 5.2.5-9.9
  • php5-dom >= 5.2.5-9.9
  • php5-exif >= 5.2.5-9.9
  • php5-fastcgi >= 5.2.5-9.9
  • php5-ftp >= 5.2.5-9.9
  • php5-gd >= 5.2.5-9.9
  • php5-gettext >= 5.2.5-9.9
  • php5-gmp >= 5.2.5-9.9
  • php5-iconv >= 5.2.5-9.9
  • php5-imap >= 5.2.5-9.9
  • php5-ldap >= 5.2.5-9.9
  • php5-mbstring >= 5.2.5-9.9
  • php5-mcrypt >= 5.2.5-9.9
  • php5-mhash >= 5.2.5-9.9
  • php5-mysql >= 5.2.5-9.9
  • php5-ncurses >= 5.2.5-9.9
  • php5-odbc >= 5.2.5-9.9
  • php5-openssl >= 5.2.5-9.9
  • php5-pcntl >= 5.2.5-9.9
  • php5-pdo >= 5.2.5-9.9
  • php5-pear >= 5.2.5-9.9
  • php5-pgsql >= 5.2.5-9.9
  • php5-posix >= 5.2.5-9.9
  • php5-pspell >= 5.2.5-9.9
  • php5-shmop >= 5.2.5-9.9
  • php5-snmp >= 5.2.5-9.9
  • php5-soap >= 5.2.5-9.9
  • php5-sockets >= 5.2.5-9.9
  • php5-sqlite >= 5.2.5-9.9
  • php5-suhosin >= 5.2.5-9.9
  • php5-sysvmsg >= 5.2.5-9.9
  • php5-sysvsem >= 5.2.5-9.9
  • php5-sysvshm >= 5.2.5-9.9
  • php5-tidy >= 5.2.5-9.9
  • php5-tokenizer >= 5.2.5-9.9
  • php5-wddx >= 5.2.5-9.9
  • php5-xmlreader >= 5.2.5-9.9
  • php5-xmlrpc >= 5.2.5-9.9
  • php5-xsl >= 5.2.5-9.9
  • php5-zlib >= 5.2.5-9.9
sle10-sp2-sdk.ppc
sles10-sp2-debuginfo.ppc
sles10-sp2.x86-64
sle10-sp2-sdk.s390x
sle10-sp2-sdk.ia64
sles10-sp2-debuginfo.ia64
sles10-sp2.s390x
sles10-sp2-debuginfo.s390x
sles10-sp2.ia64
sle10-sp2-sdk.x86-64
sles10-sp2-debuginfo.x86
sles10-sp2.x86
sle10-sp2-sdk.x86
sles10-sp2.ppc
sles10-sp2-debuginfo.x86-64
ZYPP Patch Nr: 5580
Novell Linux Desktop 9 SDK for x86
  • mod_php4-core >= 4.3.4-43.87
  • php4 >= 4.3.4-43.87
  • php4-bcmath >= 4.3.4-43.87
  • php4-bz2 >= 4.3.4-43.87
  • php4-calendar >= 4.3.4-43.87
  • php4-ctype >= 4.3.4-43.87
  • php4-curl >= 4.3.4-43.87
  • php4-dba >= 4.3.4-43.87
  • php4-dbase >= 4.3.4-43.87
  • php4-devel >= 4.3.4-43.87
  • php4-domxml >= 4.3.4-43.87
  • php4-exif >= 4.3.4-43.87
  • php4-fastcgi >= 4.3.4-43.87
  • php4-filepro >= 4.3.4-43.87
  • php4-ftp >= 4.3.4-43.87
  • php4-gd >= 4.3.4-43.87
  • php4-gettext >= 4.3.4-43.87
  • php4-gmp >= 4.3.4-43.87
  • php4-iconv >= 4.3.4-43.87
  • php4-imap >= 4.3.4-43.87
  • php4-ldap >= 4.3.4-43.87
  • php4-mbstring >= 4.3.4-43.87
  • php4-mcal >= 4.3.4-43.87
  • php4-mcrypt >= 4.3.4-43.87
  • php4-mhash >= 4.3.4-43.87
  • php4-mime_magic >= 4.3.4-43.87
  • php4-mysql >= 4.3.4-43.87
  • php4-pear >= 4.3.4-43.87
  • php4-pgsql >= 4.3.4-43.87
  • php4-qtdom >= 4.3.4-43.87
  • php4-readline >= 4.3.4-43.87
  • php4-recode >= 4.3.4-43.87
  • php4-servlet >= 4.3.4-43.87
  • php4-session >= 4.3.4-43.87
  • php4-shmop >= 4.3.4-43.87
  • php4-snmp >= 4.3.4-43.87
  • php4-sockets >= 4.3.4-43.87
  • php4-swf >= 4.3.4-43.87
  • php4-sysvsem >= 4.3.4-43.87
  • php4-sysvshm >= 4.3.4-43.87
  • php4-unixODBC >= 4.3.4-43.87
  • php4-wddx >= 4.3.4-43.87
  • php4-xslt >= 4.3.4-43.87
  • php4-yp >= 4.3.4-43.87
  • php4-zlib >= 4.3.4-43.87
core9.ppc
core9.s390x
sles9-nlpos.x86
sles9-nld.x86-64
core9.ia64
sles9-nld.x86
core9.s390
sles9-oes.x86
core9.x86
core9.x86-64
YOU Patch Nr: 12226
Novell Linux Desktop 9 SDK for x86_64
  • mod_php4-core >= 4.3.4-43.87
  • php4 >= 4.3.4-43.87
  • php4-bcmath >= 4.3.4-43.87
  • php4-bz2 >= 4.3.4-43.87
  • php4-calendar >= 4.3.4-43.87
  • php4-ctype >= 4.3.4-43.87
  • php4-curl >= 4.3.4-43.87
  • php4-dba >= 4.3.4-43.87
  • php4-dbase >= 4.3.4-43.87
  • php4-devel >= 4.3.4-43.87
  • php4-domxml >= 4.3.4-43.87
  • php4-exif >= 4.3.4-43.87
  • php4-fastcgi >= 4.3.4-43.87
  • php4-filepro >= 4.3.4-43.87
  • php4-ftp >= 4.3.4-43.87
  • php4-gd >= 4.3.4-43.87
  • php4-gettext >= 4.3.4-43.87
  • php4-gmp >= 4.3.4-43.87
  • php4-imap >= 4.3.4-43.87
  • php4-ldap >= 4.3.4-43.87
  • php4-mbstring >= 4.3.4-43.87
  • php4-mcal >= 4.3.4-43.87
  • php4-mcrypt >= 4.3.4-43.87
  • php4-mhash >= 4.3.4-43.87
  • php4-mime_magic >= 4.3.4-43.87
  • php4-mysql >= 4.3.4-43.87
  • php4-pear >= 4.3.4-43.87
  • php4-pgsql >= 4.3.4-43.87
  • php4-qtdom >= 4.3.4-43.87
  • php4-readline >= 4.3.4-43.87
  • php4-recode >= 4.3.4-43.87
  • php4-servlet >= 4.3.4-43.87
  • php4-session >= 4.3.4-43.87
  • php4-shmop >= 4.3.4-43.87
  • php4-snmp >= 4.3.4-43.87
  • php4-sockets >= 4.3.4-43.87
  • php4-sysvsem >= 4.3.4-43.87
  • php4-sysvshm >= 4.3.4-43.87
  • php4-unixODBC >= 4.3.4-43.87
  • php4-wddx >= 4.3.4-43.87
  • php4-xslt >= 4.3.4-43.87
  • php4-yp >= 4.3.4-43.87
  • php4-zlib >= 4.3.4-43.87
core9.ppc
core9.s390x
sles9-nlpos.x86
sles9-nld.x86-64
core9.ia64
sles9-nld.x86
core9.s390
sles9-oes.x86
core9.x86
core9.x86-64
YOU Patch Nr: 12226
Open Enterprise Server
  • apache-mod_php4 >= 4.3.4-43.87
  • apache2-mod_php4 >= 4.3.4-43.87
  • mod_php4 >= 4.3.4-43.87
  • mod_php4-apache2 >= 4.3.4-43.87
  • mod_php4-core >= 4.3.4-43.87
  • mod_php4-servlet >= 4.3.4-43.87
  • php4 >= 4.3.4-43.87
  • php4-bcmath >= 4.3.4-43.87
  • php4-bz2 >= 4.3.4-43.87
  • php4-calendar >= 4.3.4-43.87
  • php4-ctype >= 4.3.4-43.87
  • php4-curl >= 4.3.4-43.87
  • php4-dba >= 4.3.4-43.87
  • php4-dbase >= 4.3.4-43.87
  • php4-devel >= 4.3.4-43.87
  • php4-domxml >= 4.3.4-43.87
  • php4-exif >= 4.3.4-43.87
  • php4-fastcgi >= 4.3.4-43.87
  • php4-filepro >= 4.3.4-43.87
  • php4-ftp >= 4.3.4-43.87
  • php4-gd >= 4.3.4-43.87
  • php4-gettext >= 4.3.4-43.87
  • php4-gmp >= 4.3.4-43.87
  • php4-iconv >= 4.3.4-43.87
  • php4-imap >= 4.3.4-43.87
  • php4-ldap >= 4.3.4-43.87
  • php4-mbstring >= 4.3.4-43.87
  • php4-mcal >= 4.3.4-43.87
  • php4-mcrypt >= 4.3.4-43.87
  • php4-mhash >= 4.3.4-43.87
  • php4-mime_magic >= 4.3.4-43.87
  • php4-mysql >= 4.3.4-43.87
  • php4-pear >= 4.3.4-43.87
  • php4-pgsql >= 4.3.4-43.87
  • php4-qtdom >= 4.3.4-43.87
  • php4-readline >= 4.3.4-43.87
  • php4-recode >= 4.3.4-43.87
  • php4-servlet >= 4.3.4-43.87
  • php4-session >= 4.3.4-43.87
  • php4-shmop >= 4.3.4-43.87
  • php4-snmp >= 4.3.4-43.87
  • php4-sockets >= 4.3.4-43.87
  • php4-swf >= 4.3.4-43.87
  • php4-sysvsem >= 4.3.4-43.87
  • php4-sysvshm >= 4.3.4-43.87
  • php4-unixODBC >= 4.3.4-43.87
  • php4-wddx >= 4.3.4-43.87
  • php4-xslt >= 4.3.4-43.87
  • php4-yp >= 4.3.4-43.87
  • php4-zlib >= 4.3.4-43.87
core9.ppc
core9.s390x
sles9-nlpos.x86
sles9-nld.x86-64
core9.ia64
sles9-nld.x86
core9.s390
sles9-oes.x86
core9.x86
core9.x86-64
YOU Patch Nr: 12226
openSUSE 11.0
  • php5-debuginfo >= 5.2.6-0.4
  • php5-debugsource >= 5.2.6-0.4
openSUSE 11.0
  • apache2-mod_php5 >= 5.2.6-0.4
  • php5 >= 5.2.6-0.4
  • php5-bcmath >= 5.2.6-0.4
  • php5-bz2 >= 5.2.6-0.4
  • php5-calendar >= 5.2.6-0.4
  • php5-ctype >= 5.2.6-0.4
  • php5-curl >= 5.2.6-0.4
  • php5-dba >= 5.2.6-0.4
  • php5-dbase >= 5.2.6-0.4
  • php5-devel >= 5.2.6-0.4
  • php5-dom >= 5.2.6-0.4
  • php5-exif >= 5.2.6-0.4
  • php5-fastcgi >= 5.2.6-0.4
  • php5-ftp >= 5.2.6-0.4
  • php5-gd >= 5.2.6-0.4
  • php5-gettext >= 5.2.6-0.4
  • php5-gmp >= 5.2.6-0.4
  • php5-hash >= 5.2.6-0.4
  • php5-iconv >= 5.2.6-0.4
  • php5-imap >= 5.2.6-0.4
  • php5-json >= 5.2.6-0.4
  • php5-ldap >= 5.2.6-0.4
  • php5-mbstring >= 5.2.6-0.4
  • php5-mcrypt >= 5.2.6-0.4
  • php5-mysql >= 5.2.6-0.4
  • php5-ncurses >= 5.2.6-0.4
  • php5-odbc >= 5.2.6-0.4
  • php5-openssl >= 5.2.6-0.4
  • php5-pcntl >= 5.2.6-0.4
  • php5-pdo >= 5.2.6-0.4
  • php5-pear >= 5.2.6-0.4
  • php5-pgsql >= 5.2.6-0.4
  • php5-posix >= 5.2.6-0.4
  • php5-pspell >= 5.2.6-0.4
  • php5-readline >= 5.2.6-0.4
  • php5-shmop >= 5.2.6-0.4
  • php5-snmp >= 5.2.6-0.4
  • php5-soap >= 5.2.6-0.4
  • php5-sockets >= 5.2.6-0.4
  • php5-sqlite >= 5.2.6-0.4
  • php5-suhosin >= 5.2.6-0.4
  • php5-sysvmsg >= 5.2.6-0.4
  • php5-sysvsem >= 5.2.6-0.4
  • php5-sysvshm >= 5.2.6-0.4
  • php5-tidy >= 5.2.6-0.4
  • php5-tokenizer >= 5.2.6-0.4
  • php5-wddx >= 5.2.6-0.4
  • php5-xmlreader >= 5.2.6-0.4
  • php5-xmlrpc >= 5.2.6-0.4
  • php5-xmlwriter >= 5.2.6-0.4
  • php5-xsl >= 5.2.6-0.4
  • php5-zip >= 5.2.6-0.4
  • php5-zlib >= 5.2.6-0.4